'Newland.Toubiz.Poi.Neos:Teaser':
  abstract: true

  superTypes:
    'Neos.Neos:Plugin': true

  ui:
    group: 'poi'
    label: i18n
    icon: map-marker
    inspector:
      groups:
        data:
          label: i18n
          icon: database

  properties:
    article:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: data
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            dataSourceIdentifier: 'newland-toubiz-poi-neos-pois'

'Newland.Toubiz.Poi.Neos:AttractionGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'poi'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.poi'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '0'

'Newland.Toubiz.Poi.Neos:GastronomyGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'gastronomy'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.gastronomy'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '1'

'Newland.Toubiz.Poi.Neos:TourGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'tour'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.tour'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '2'

'Newland.Toubiz.Poi.Neos:LodgingGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'lodging'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.lodging'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '3'

'Newland.Toubiz.Poi.Neos:DirectMarketerGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'directMarketer'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.directMarketer'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '4'

'Newland.Toubiz.Poi.Neos:CongressLocationGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'congressLocation'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.congress'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '5'

'Newland.Toubiz.Poi.Neos:CityGridTeaser':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Teaser': true

  ui:
    group: 'city'
    label: i18n

  properties:
    article:
      ui:
        label: 'Newland.Toubiz.Poi.Neos:NodeTypes.Teaser:properties.article.city'
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '6'
